blob: 981b95c00d8df6c42d60e6062874ff8fc8909fb9 [file] [log] [blame]
Tom Rinid2244b92019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyesb0722af2023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
Peter Hoyes08ed84e2023-03-10 09:53:03 +00005 MIRROR_DOCKER: docker.io
Peter Hoyesb0722af2023-03-10 09:53:02 +00006
7default:
8 tags:
9 - ${DEFAULT_TAG}
10
Joel Stanleyb97c1d42022-08-23 16:18:26 +100011# Grab our configured image. The source for this is found
12# in the u-boot tree at tools/docker/Dockerfile
Tom Rini9d885972023-08-25 13:21:27 -040013image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230804-25Aug2023
Tom Rinid2244b92019-06-19 09:25:17 -040014
15# We run some tests in different order, to catch some failures quicker.
16stages:
Tom Rinid2244b92019-06-19 09:25:17 -040017 - testsuites
Tom Rini1cdb1822019-07-24 13:09:31 -040018 - test.py
Tom Rinid2244b92019-06-19 09:25:17 -040019 - world build
20
21.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rinid2244b92019-06-19 09:25:17 -040022 stage: test.py
Tom Rini6acc0192023-07-11 22:33:03 -040023 retry: 2 # QEMU may be too slow, etc.
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020024 rules:
25 - when: always
Tom Rinid2244b92019-06-19 09:25:17 -040026 before_script:
27 # Clone uboot-test-hooks
Tom Rinie0f979b2022-11-21 12:52:40 -050028 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini2a1df582021-02-24 17:05:04 -050029 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rinid2244b92019-06-19 09:25:17 -040030 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
31 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini6ad26042019-10-04 12:12:54 -040032 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
33 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Mengb68d9d62020-03-28 07:25:29 -070034 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Bin Meng9d41bba2023-06-20 13:55:00 +080035 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070037 fi
Bin Meng0ae41062021-08-26 23:33:35 +080038 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Bin Meng9d41bba2023-06-20 13:55:00 +080039 wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.2/opensbi-1.2-rv-bin.tar.xz | tar -C /tmp -xJ;
40 export OPENSBI=/tmp/opensbi-1.2-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Mengb68d9d62020-03-28 07:25:29 -070041 fi
Tom Rini1cdb1822019-07-24 13:09:31 -040042
Tom Rinid2244b92019-06-19 09:25:17 -040043 after_script:
Marek Vasutc1a44de2023-03-03 02:22:25 +010044 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt159b0ab2019-12-19 13:30:32 +010045 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rinid2244b92019-06-19 09:25:17 -040046 script:
Simon Glassda499352020-03-18 09:42:57 -060047 # If we've been asked to use clang only do one configuration.
Simon Glass28d83e72020-03-18 09:42:55 -060048 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass2e32f5d2022-08-03 12:13:09 -060049 - echo BUILD_ENV ${BUILD_ENV}
Simon Glassc2f01902023-01-15 14:16:00 -070050 - if [ -n "${BUILD_ENV}" ]; then
51 export ${BUILD_ENV};
52 fi
Simon Glass87c80462020-03-18 09:43:00 -060053 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
54 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020055 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
56 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
57 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardtba0ae212020-07-14 00:23:58 +020058 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
59 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0ae41062021-08-26 23:33:35 +080060 # create sdcard / spi-nor images for sifive unleashed using genimage
61 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
62 mkdir -p root;
63 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
64 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
65 rm -rf tmp;
66 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
67 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
68 rm -rf tmp;
69 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
70 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
71 fi
Simon Glass13e1fa02022-01-21 10:23:01 -070072 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
73 wget -O -
Simon Glass61e507b2023-08-11 12:17:43 -060074 "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" |
Simon Glass13e1fa02022-01-21 10:23:01 -070075 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
76 wget -O -
77 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
78 cbfstool;
79 chmod a+x cbfstool;
80 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
81 fi
Tom Riniebcd2142019-10-24 11:59:27 -040082 - virtualenv -p /usr/bin/python3 /tmp/venv
83 - . /tmp/venv/bin/activate
84 - pip install -r test/py/requirements.txt
Simon Glass2600f7e2020-03-18 09:42:56 -060085 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass28d83e72020-03-18 09:42:55 -060086 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rinid2244b92019-06-19 09:25:17 -040087 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardt2a3ec0a2020-07-10 22:04:40 +020088 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass2600f7e2020-03-18 09:42:56 -060089 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glassfd0c59b2020-03-18 09:42:59 -060090 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasutc1a44de2023-03-03 02:22:25 +010091 artifacts:
92 when: always
93 paths:
94 - "*.html"
95 - "*.css"
96 expire_in: 1 week
Tom Rinid2244b92019-06-19 09:25:17 -040097
Andrejs Cainikovsb4453552023-09-13 16:15:36 +020098.world_build:
Tom Rinid2244b92019-06-19 09:25:17 -040099 stage: world build
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200100 rules:
101 - when: always
102
103build all 32bit ARM platforms:
104 extends: .world_build
Tom Rinid2244b92019-06-19 09:25:17 -0400105 script:
106 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500107 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530108 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700109 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600110 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600111 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400112 exit $ret;
113 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400114
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200115build all 64bit ARM platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200116 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400117 script:
Tom Rini6c883102020-02-11 12:41:14 -0500118 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rini7faea832019-07-18 07:28:36 -0400119 - . /tmp/venv/bin/activate
Tom Rini372c6972019-07-17 17:51:28 -0400120 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500121 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530122 pip install -r tools/buildman/requirements.txt;
Tom Rini93ebd462022-11-09 19:14:53 -0700123 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600124 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600125 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400126 exit $ret;
127 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400128
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200129build all PowerPC platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200130 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400131 script:
132 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500133 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassda499352020-03-18 09:42:57 -0600134 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
135 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600136 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400137 exit $ret;
138 fi;
Tom Rini372c6972019-07-17 17:51:28 -0400139
Heinrich Schuchardt8e8e1cc2019-10-06 12:26:16 +0200140build all other platforms:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200141 extends: .world_build
Tom Rini372c6972019-07-17 17:51:28 -0400142 script:
143 - ret=0;
Tom Rinie0f979b2022-11-21 12:52:40 -0500144 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini93ebd462022-11-09 19:14:53 -0700145 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassda499352020-03-18 09:42:57 -0600146 if [[ $ret -ne 0 ]]; then
Simon Glassad8eaed2020-03-18 09:42:53 -0600147 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini70c63a52019-10-24 11:59:16 -0400148 exit $ret;
149 fi;
Tom Rinid2244b92019-06-19 09:25:17 -0400150
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200151.testsuites:
Tom Rinibdfa3762021-12-14 13:36:41 -0500152 stage: testsuites
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200153 rules:
154 - when: always
155
156check for new CONFIG symbols outside Kconfig:
157 extends: .testsuites
Tom Rinibdfa3762021-12-14 13:36:41 -0500158 script:
Tom Rini1cc7e4c2022-12-04 10:14:15 -0500159 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
160 # If grep succeeds and finds a match the test fails as we should
161 # have no matches.
162 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rini8f7345c2023-01-10 11:19:46 -0500163 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
164 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinibdfa3762021-12-14 13:36:41 -0500165
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100166# build documentation
167docs:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200168 extends: .testsuites
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100169 script:
Heinrich Schuchardt846abe42021-01-25 22:06:25 +0100170 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
171 - . /tmp/venvhtml/bin/activate
172 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt2e0c8e62023-05-02 05:04:11 +0200173 - make htmldocs KDOC_WERROR=1
Heinrich Schuchardt54de2412023-01-12 20:30:58 +0100174 - make infodocs
Heinrich Schuchardtbccdb652020-02-21 18:24:01 +0100175
Tom Rinid2244b92019-06-19 09:25:17 -0400176# ensure all configs have MAINTAINERS entries
177Check for configs without MAINTAINERS entry:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200178 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400179 script:
Simon Glass5e728d42023-07-19 17:48:27 -0600180 - ./tools/buildman/buildman --maintainer-check || exit 0
Tom Rinid2244b92019-06-19 09:25:17 -0400181
182# Ensure host tools build
Tom Rini8244f002023-08-20 13:31:28 -0400183Build tools-only and envtools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200184 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400185 script:
Tom Rini8244f002023-08-20 13:31:28 -0400186 - make tools-only_config tools-only -j$(nproc);
187 make mrproper;
188 make tools-only_config envtools -j$(nproc)
Pierre-Jean Texier6812f5e2019-08-26 13:06:18 +0200189
Tom Rini0b3e0c42020-03-11 18:11:15 -0400190Run binman, buildman, dtoc, Kconfig and patman testsuites:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200191 extends: .testsuites
Tom Rinid2244b92019-06-19 09:25:17 -0400192 script:
Tom Rini0b6e1032019-08-12 10:09:08 -0400193 - git config --global user.name "GitLab CI Runner";
194 git config --global user.email trini@konsulko.com;
Tom Rinid1ed4462022-08-09 21:08:54 -0400195 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rini0b6e1032019-08-12 10:09:08 -0400196 export USER=gitlab;
Tom Rini6c883102020-02-11 12:41:14 -0500197 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rini0b6e1032019-08-12 10:09:08 -0400198 . /tmp/venv/bin/activate;
Tom Rini70c66dd2021-02-26 07:52:29 -0500199 pip install -r test/py/requirements.txt;
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530200 pip install -r tools/buildman/requirements.txt;
Tom Rini08086922023-08-10 12:52:24 -0400201 export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only;
Tom Rini0b6e1032019-08-12 10:09:08 -0400202 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
203 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinid1ed4462022-08-09 21:08:54 -0400204 set +e;
Simon Glass492f0b02021-03-15 17:25:34 +1300205 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400206 --board tools-only;
Tom Rinid1ed4462022-08-09 21:08:54 -0400207 set -e;
Tom Rini0b6e1032019-08-12 10:09:08 -0400208 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
209 ./tools/buildman/buildman -t;
210 ./tools/dtoc/dtoc -t;
Simon Glass109e84e2020-07-05 21:41:55 -0600211 ./tools/patman/patman test;
Tom Rini0b3e0c42020-03-11 18:11:15 -0400212 make testconfig
Tom Rinid2244b92019-06-19 09:25:17 -0400213
Pali Rohár80ad67b2020-05-17 14:38:22 +0200214Run tests for Nokia RX-51 (aka N900):
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200215 extends: .testsuites
Pali Rohár80ad67b2020-05-17 14:38:22 +0200216 script:
Pali Rohárd88c1472023-02-21 11:22:29 -0500217 - mkdir nokia_rx51_tmp;
218 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
219 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
220 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
221 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
222 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
223 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
Tom Rini3bd5ed72023-08-25 13:21:26 -0400224 export PATH=/opt/gcc-13.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár80ad67b2020-05-17 14:38:22 +0200225 test/nokia_rx51_test.sh
226
Simon Glassf6903262022-02-11 13:23:26 -0700227# Check for any pylint regressions
228Run pylint:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200229 extends: .testsuites
Simon Glassf6903262022-02-11 13:23:26 -0700230 script:
Tom Rinid1ed4462022-08-09 21:08:54 -0400231 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glassf6903262022-02-11 13:23:26 -0700232 - pip install -r test/py/requirements.txt
Tom Rini95f1c6cb2023-07-22 00:14:46 +0530233 - pip install -r tools/buildman/requirements.txt
Tom Rini090ff812022-03-25 08:19:09 -0400234 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glassf6903262022-02-11 13:23:26 -0700235 - export PATH=${PATH}:~/.local/bin
236 - echo "[MASTER]" >> .pylintrc
237 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
Tom Rini08086922023-08-10 12:52:24 -0400238 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400239 - set +e
Simon Glassf6903262022-02-11 13:23:26 -0700240 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
Tom Rini08086922023-08-10 12:52:24 -0400241 --board tools-only
Tom Rinid1ed4462022-08-09 21:08:54 -0400242 - set -e
Simon Glassf6903262022-02-11 13:23:26 -0700243 - pylint --version
244 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
245 - make pylint_err
246
Simon Glassf96763a2023-02-13 08:56:39 -0700247# Check for pre-schema driver model tags
248Check for pre-schema tags:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200249 extends: .testsuites
Simon Glassf96763a2023-02-13 08:56:39 -0700250 script:
251 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
252 # If grep succeeds and finds a match the test fails as we should
253 # have no matches.
254 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
255
Simon Glass5dd13b92023-02-23 18:18:24 -0700256# Check we can package the Python tools
257Check packing of Python tools:
Andrejs Cainikovsb4453552023-09-13 16:15:36 +0200258 extends: .testsuites
Simon Glass5dd13b92023-02-23 18:18:24 -0700259 script:
260 - make pip
261
Tom Rinid2244b92019-06-19 09:25:17 -0400262# Test sandbox with test.py
263sandbox test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400264 variables:
265 TEST_PY_BD: "sandbox"
Tom Rinid2244b92019-06-19 09:25:17 -0400266 <<: *buildman_and_testpy_dfn
267
Tom Rini99a1bb32019-11-06 19:30:47 -0500268sandbox with clang test.py:
Tom Rini99a1bb32019-11-06 19:30:47 -0500269 variables:
270 TEST_PY_BD: "sandbox"
Tom Riniad9b2fd2023-03-21 15:07:45 -0400271 OVERRIDE: "-O clang-16"
Tom Rini99a1bb32019-11-06 19:30:47 -0500272 <<: *buildman_and_testpy_dfn
273
Simon Glass2e32f5d2022-08-03 12:13:09 -0600274sandbox without LTO test.py:
275 variables:
276 TEST_PY_BD: "sandbox"
277 BUILD_ENV: "NO_LTO=1"
278 <<: *buildman_and_testpy_dfn
279
Marek Vasut36bdb592023-09-01 10:48:10 +0200280sandbox64 test.py:
281 variables:
282 TEST_PY_BD: "sandbox64"
283 <<: *buildman_and_testpy_dfn
284
285sandbox64 with clang test.py:
286 variables:
287 TEST_PY_BD: "sandbox64"
288 OVERRIDE: "-O clang-16"
289 <<: *buildman_and_testpy_dfn
290
291sandbox64 without LTO test.py:
292 variables:
293 TEST_PY_BD: "sandbox64"
294 BUILD_ENV: "NO_LTO=1"
295 <<: *buildman_and_testpy_dfn
296
Tom Rinid2244b92019-06-19 09:25:17 -0400297sandbox_spl test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400298 variables:
299 TEST_PY_BD: "sandbox_spl"
Simon Glass36a69e12020-10-25 20:38:36 -0600300 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rinid2244b92019-06-19 09:25:17 -0400301 <<: *buildman_and_testpy_dfn
302
Simon Glass492f0b02021-03-15 17:25:34 +1300303sandbox_noinst_test.py:
Simon Glass492f0b02021-03-15 17:25:34 +1300304 variables:
305 TEST_PY_BD: "sandbox_noinst"
306 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
307 <<: *buildman_and_testpy_dfn
308
Simon Glassa2a4eea2022-04-30 00:56:57 -0600309sandbox_vpl test.py:
310 variables:
311 TEST_PY_BD: "sandbox_vpl"
Simon Glass4e5e7f42023-04-02 14:01:26 +1200312 TEST_PY_TEST_SPEC: "vpl or test_spl"
Simon Glassa2a4eea2022-04-30 00:56:57 -0600313 <<: *buildman_and_testpy_dfn
314
Simon Glassc2f01902023-01-15 14:16:00 -0700315# Enable tracing and disable LTO, to ensure functions are not elided
316sandbox trace_test.py:
317 variables:
318 TEST_PY_BD: "sandbox"
319 BUILD_ENV: "FTRACE=1 NO_LTO=1"
320 TEST_PY_TEST_SPEC: "trace"
Sughosh Ganu0c3783e2023-08-22 23:10:02 +0530321 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000"
Simon Glassc2f01902023-01-15 14:16:00 -0700322 <<: *buildman_and_testpy_dfn
323
Tom Rini0008b882019-07-17 16:06:57 -0400324evb-ast2500 test.py:
Tom Rini0008b882019-07-17 16:06:57 -0400325 variables:
326 TEST_PY_BD: "evb-ast2500"
327 TEST_PY_ID: "--id qemu"
Tom Rini0008b882019-07-17 16:06:57 -0400328 <<: *buildman_and_testpy_dfn
329
Joel Stanley3f21e1b2022-06-29 16:35:25 +0930330evb-ast2600 test.py:
331 variables:
332 TEST_PY_BD: "evb-ast2600"
333 TEST_PY_ID: "--id qemu"
334 <<: *buildman_and_testpy_dfn
335
Tom Rinid2244b92019-06-19 09:25:17 -0400336sandbox_flattree test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400337 variables:
338 TEST_PY_BD: "sandbox_flattree"
Tom Rinid2244b92019-06-19 09:25:17 -0400339 <<: *buildman_and_testpy_dfn
340
Kristian Amlie8f8a2992021-09-07 08:37:51 +0200341vexpress_ca9x4 test.py:
342 variables:
343 TEST_PY_BD: "vexpress_ca9x4"
344 TEST_PY_ID: "--id qemu"
345 <<: *buildman_and_testpy_dfn
346
Tom Rinid2244b92019-06-19 09:25:17 -0400347integratorcp_cm926ejs test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400348 variables:
349 TEST_PY_BD: "integratorcp_cm926ejs"
350 TEST_PY_TEST_SPEC: "not sleep"
351 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400352 <<: *buildman_and_testpy_dfn
353
354qemu_arm test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400355 variables:
356 TEST_PY_BD: "qemu_arm"
357 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400358 <<: *buildman_and_testpy_dfn
359
360qemu_arm64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400361 variables:
362 TEST_PY_BD: "qemu_arm64"
363 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400364 <<: *buildman_and_testpy_dfn
365
Marek Vasut07240eb2023-03-23 01:22:41 +0100366qemu_m68k test.py:
367 variables:
368 TEST_PY_BD: "M5208EVBE"
369 TEST_PY_ID: "--id qemu"
370 TEST_PY_TEST_SPEC: "not sleep and not efi"
371 OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
372 <<: *buildman_and_testpy_dfn
373
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200374qemu_malta test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200375 variables:
376 TEST_PY_BD: "malta"
377 TEST_PY_TEST_SPEC: "not sleep and not efi"
378 TEST_PY_ID: "--id qemu"
379 <<: *buildman_and_testpy_dfn
380
381qemu_maltael test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200382 variables:
383 TEST_PY_BD: "maltael"
384 TEST_PY_TEST_SPEC: "not sleep and not efi"
385 TEST_PY_ID: "--id qemu"
386 <<: *buildman_and_testpy_dfn
387
388qemu_malta64 test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200389 variables:
390 TEST_PY_BD: "malta64"
391 TEST_PY_TEST_SPEC: "not sleep and not efi"
392 TEST_PY_ID: "--id qemu"
393 <<: *buildman_and_testpy_dfn
394
395qemu_malta64el test.py:
Daniel Schwierzeck744af392020-06-06 22:21:47 +0200396 variables:
397 TEST_PY_BD: "malta64el"
398 TEST_PY_TEST_SPEC: "not sleep and not efi"
399 TEST_PY_ID: "--id qemu"
400 <<: *buildman_and_testpy_dfn
401
Tom Rinid2244b92019-06-19 09:25:17 -0400402qemu-ppce500 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400403 variables:
404 TEST_PY_BD: "qemu-ppce500"
405 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400406 <<: *buildman_and_testpy_dfn
407
Bin Mengaeb3ea42020-03-28 07:25:27 -0700408qemu-riscv32 test.py:
Bin Mengaeb3ea42020-03-28 07:25:27 -0700409 variables:
410 TEST_PY_BD: "qemu-riscv32"
411 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengaeb3ea42020-03-28 07:25:27 -0700412 <<: *buildman_and_testpy_dfn
413
Tom Rinic8c320e2019-08-02 11:32:37 -0400414qemu-riscv64 test.py:
Tom Rinic8c320e2019-08-02 11:32:37 -0400415 variables:
416 TEST_PY_BD: "qemu-riscv64"
417 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinic8c320e2019-08-02 11:32:37 -0400418 <<: *buildman_and_testpy_dfn
419
Bin Mengb68d9d62020-03-28 07:25:29 -0700420qemu-riscv32_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700421 variables:
422 TEST_PY_BD: "qemu-riscv32_spl"
423 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700424 <<: *buildman_and_testpy_dfn
425
426qemu-riscv64_spl test.py:
Bin Mengb68d9d62020-03-28 07:25:29 -0700427 variables:
428 TEST_PY_BD: "qemu-riscv64_spl"
429 TEST_PY_TEST_SPEC: "not sleep"
Bin Mengb68d9d62020-03-28 07:25:29 -0700430 <<: *buildman_and_testpy_dfn
431
Tom Rinid2244b92019-06-19 09:25:17 -0400432qemu-x86 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400433 variables:
434 TEST_PY_BD: "qemu-x86"
435 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400436 <<: *buildman_and_testpy_dfn
437
438qemu-x86_64 test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400439 variables:
440 TEST_PY_BD: "qemu-x86_64"
441 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400442 <<: *buildman_and_testpy_dfn
443
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200444r2dplus_i82557c test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200445 variables:
446 TEST_PY_BD: "r2dplus"
447 TEST_PY_ID: "--id i82557c_qemu"
448 <<: *buildman_and_testpy_dfn
449
450r2dplus_pcnet test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200451 variables:
452 TEST_PY_BD: "r2dplus"
453 TEST_PY_ID: "--id pcnet_qemu"
454 <<: *buildman_and_testpy_dfn
455
456r2dplus_rtl8139 test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200457 variables:
458 TEST_PY_BD: "r2dplus"
459 TEST_PY_ID: "--id rtl8139_qemu"
460 <<: *buildman_and_testpy_dfn
461
462r2dplus_tulip test.py:
Marek Vasutfc5a9d72020-09-14 21:55:58 +0200463 variables:
464 TEST_PY_BD: "r2dplus"
465 TEST_PY_ID: "--id tulip_qemu"
466 <<: *buildman_and_testpy_dfn
467
Bin Meng0ae41062021-08-26 23:33:35 +0800468sifive_unleashed_sdcard test.py:
469 variables:
470 TEST_PY_BD: "sifive_unleashed"
471 TEST_PY_ID: "--id sdcard_qemu"
472 <<: *buildman_and_testpy_dfn
473
474sifive_unleashed_spi-nor test.py:
475 variables:
476 TEST_PY_BD: "sifive_unleashed"
477 TEST_PY_ID: "--id spi-nor_qemu"
478 <<: *buildman_and_testpy_dfn
479
Michal Simekf8834fd2020-02-13 15:03:29 +0100480xilinx_zynq_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400481 variables:
Michal Simekf8834fd2020-02-13 15:03:29 +0100482 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rinid2244b92019-06-19 09:25:17 -0400483 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400484 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400485 <<: *buildman_and_testpy_dfn
486
487xilinx_versal_virt test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400488 variables:
489 TEST_PY_BD: "xilinx_versal_virt"
490 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400491 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400492 <<: *buildman_and_testpy_dfn
493
494xtfpga test.py:
Tom Rinid2244b92019-06-19 09:25:17 -0400495 variables:
496 TEST_PY_BD: "xtfpga"
497 TEST_PY_TEST_SPEC: "not sleep"
Tom Rinid2244b92019-06-19 09:25:17 -0400498 TEST_PY_ID: "--id qemu"
Tom Rinid2244b92019-06-19 09:25:17 -0400499 <<: *buildman_and_testpy_dfn
Simon Glass13e1fa02022-01-21 10:23:01 -0700500
501coreboot test.py:
502 variables:
503 TEST_PY_BD: "coreboot"
504 TEST_PY_TEST_SPEC: "not sleep"
505 TEST_PY_ID: "--id qemu"
Simon Glass13e1fa02022-01-21 10:23:01 -0700506 <<: *buildman_and_testpy_dfn